# caveat.tcl -- displays caveat

proc ViewCaveat {} {

    toplevel .caveat
    wm title .caveat "Caveat"
    wm geometry .caveat +280+180
    wm minsize .caveat 200 50
    label .caveat.text -padx 4m -pady 3m -fg blue -text \
"The software and scientific algorithms in MAGICC are the same as used
for temperature and sea level projections in the IPCC Third Assessment
Report (TAR), except for the parameters used in calculating future
tropospheric ozone levels and forcing. A minor error here in the TAR
was not identified until too late in the production process for the
TAR temperature and sea-level results to be revised. This is explained
in the TAR atmospheric chemistry chapter and also in the paper by
Wigley, Smith and Prather (Journal of Climate, Vol. 15, pp. 2690-2696,
2002). The effect of this error is very small. If the 'old' ozone
parameters are used, MAGICC reproduces all TAR results precisely.
It should be noted that the TAR algorithms used to produce the non-
thermal-expansion components of sea level rise (ice melt, etc.),
although implemented in MAGICC, were not developed by the developers
of MAGICC. They are described in the TAR sea level chapter.

New users: Please download, sign and return the Licence Agreement,
available at the end of the User Manual or as LICENCE.DOC in subdirectory
MAGICC."

    pack .caveat.text -side top
    grab .caveat
     button .caveat.ok -text "OK" -command {destroy .caveat}
    pack .caveat.ok -side top
}
