# emis.tcl - MAGICC emissions scenarios

proc EmissionsProfiles {} {
  global File Emis
  global TitleBanner

  if {[winfo exists .emissions]} {
    focus .emissions
    return
  }

  toplevel .emissions
  wm title .emissions "$TitleBanner - Emissions Scenarios"

  set lhs [frame .emissions.lhs]
  pack $lhs -side left -expand on -fill both
  set sel [frame $lhs.sel]
  pack $sel -side top -expand on -fill both
  set lb [listbox $sel.lb -setgrid true -yscrollcommand [list $sel.sb set]]
  set Emis(lb) $lb
  scrollbar $sel.sb -command [list $lb yview]
  pack $lb -side left -fill both -expand on
  pack $sel.sb -side right -fill y

  foreach foo [glob -nocomplain *.gas *.GAS *.Gas] {
    set name [lindex [split $foo .] 0]
    $lb insert end $name
  }

  set rhs [frame .emissions.rhs]
  pack $rhs -side right -fill y -expand on

  set f [frame $rhs.pol -bd 1 -relief sunken]
  pack $f -side top -padx 5 -pady 5 -fill x
  label $f.t -text "Policy scenario"
  pack $f.t -side top
  button $f.b -bitmap @rarrow.xbm -command {SetEmis policy}
  pack $f.b -side left
  label $f.s -width 10 -bg white -textvariable File(policy)
  pack $f.s -side left -padx 2

  set f [frame $rhs.ref -bd 1 -relief sunken]
  pack $f -side top -padx 5 -pady 5 -fill y
  label $f.t -text "Reference scenario"
  pack $f.t -side top
  button $f.b -bitmap @rarrow.xbm -command {SetEmis reference}
  pack $f.b -side left
  label $f.s -width 10 -bg white -textvariable File(reference)
  pack $f.s -side left -padx 2

  set b [frame $rhs.buts]
  pack $b -side bottom -fill x
  button $b.help -text Help -command { Help profile.htm }
  button $b.ok -text "OK" -command "destroy .emissions"
  pack $b.help $b.ok -side left -fill x -expand on
}

proc SelectedEmis {} {
  global Emis
  set lb $Emis(lb)
  set s [$lb curselection]
  if {[string compare $s ""] == 0} {
    return ""
  } else {
    return [$lb get $s]
  }
}

proc SetEmis {which} {
  global File
  set s [SelectedEmis]
  if {[string compare $s ""] != 0} {
    set File($which) $s
  }
}

proc GetProfileDesc {name} {
  set f [open $name.gas r]
  gets $f
  gets $f
  gets $f desc
  close $f
  return $desc
}
