# help.tcl - MAGICC help system

proc HelpWindow {} {
  global TitleBanner
  set tl [toplevel .help]
  wm title $tl "$TitleBanner Help"
  set f [frame $tl.buts]
  pack $f -side top -fill x
  button $f.close -text "Close" -command "destroy $tl"
  button $f.index -text "Index" -command "Help index.htm"
  pack $f.close $f.index -side left

  scrollbar $tl.scroll  -command "$tl.text yview"  -orient v
  text $tl.text  -yscrollcommand "$tl.scroll set" -padx 3 -pady 3 -takefocus 0 -width 40 -height 30
  pack $tl.scroll -side right -expand 0 -fill y
  pack $tl.text -side left -fill both -expand 1
  
  HMinit_win .help.text
}



proc Help { page } {
  if {[winfo exists .help]} {
    focus .help
  } else {
    HelpWindow
  }
  set html [HelpFile $page]
  HMreset_win .help.text
  HMparse_html $html "HMrender .help.text"
}


proc HelpFile {fname} {
  if {[catch {set f [open $fname]} msg]} {
    return "(Couldn't read help file \"$fname\")"
  }
  set html [read $f]
  close $f
  return $html
}

proc HMlink_callback {win href} {
  Help $href
}
