# refer.tcl - references info for help menu

proc HelpReferences {} {
  if [winfo exists .helpref] { raise .helpref . } else {
    set tl [toplevel .helpref]
    wm title $tl "MAGICC - references"
    frame $tl.but
    button $tl.but.okay -text OK -command "destroy $tl"
    pack $tl.but -side bottom -fill x 
    pack $tl.but.okay -side top
    set t [text $tl.t -setgrid true -wrap word -width 70 -height 30 -yscrollcommand "$tl.sy set"]
    scrollbar $tl.sy -orient vert -command "$tl.t yview"
    pack $tl.sy -side right -fill y
    pack $tl.t -side left -fill both -expand true
    $t tag configure indent -lmargin1 10 -lmargin2 20
    $t insert end "MAGICC combines a set of gas cycle models, which convert user-specified input emissions scenarios to concentrations,"
    $t insert end "with an up-welling diffusion energy balance climate model and a set of ice melt models to determine future time-dependent"
    $t insert end "changes in global-mean temperature and sea level. The primary source references for the models are:\n\n"
    $t insert end "Carbon Cycle\n"
    $t insert end "Wigley, T. M. L., 1991: A simple inverse carbon cycle model. Global Biogeochemical Cycles 5, 373-382.\n" indent
    $t insert end "Wigley, T. M. L., 1993: Balancing the carbon budget: implications for projections of future carbon dioxide concentration changes. Tellus (in press).\n\n" indent
    $t insert end "Methane\n"
    $t insert end "Osborn, T. J. and Wigley, T. M. L., 1993: A simple model for estimating methane concentration and lifetime variations. Climate Dynamics (in press)\n\n" indent
    $t insert end "Temperature and thermal expansion\n"
    $t insert end "Wigley, T. M. L. and Raper, S. C. B., 1987: Thermal expansion of sea water associated with global warming. Nature 330, 127-131.\n" indent
    $t insert end "Wigley, T. M. L. and Raper, S. C. B., 1992: Implications for climate and sea level of revised IPCC emissions scenarios. Nature 357, 293-300.\n\n" indent
    $t insert end "Ice Melt\n"
    $t insert end "Wigley, T. M. L. and Raper, S. C. B., 1993: Future changes in global mean temperature and sea level. (In) Climate and Sea Level Change: Observations, Projections and Implications (Eds. R. A. Warrick, E. M. Barrow and T. M. L. Wigley), Cambridge University Press, 111-133.\n\n" indent
    $t insert end "Sulphate aerosols, nitrous oxide and halocarbons are covered in\n"
    $t insert end "Wigley, T. M. L. and Raper, S. C. B., 1992: Implications for climate and sea level of revised IPCC emissions scenarios. Nature 357, 293-300.\n\n\n" indent
    $t insert end "          August 23, 1993."
  }
}
