# scengen.tcl - interface to SCENGEN

proc SCENGENinstalled {} {
  global ScengenDir
#  return [file exists "$ScengenDir/tcl"]
  return [file exists "$ScengenDir"]
}

proc RunSCENGEN {} {
  global tcl_platform ScengenDir

  # copy interface files
  foreach foo [glob sg?.??] {
#    Mag_CopyFile $foo $ScengenDir/tcl/$foo
    Mag_CopyFile $foo $ScengenDir/../engine/$foo
  }

  # run SCENGEN
  switch $tcl_platform(platform) {
    unix {
      exec wish4.1 -f sgstub.tcl &
    }
    windows {
      exec wish41.exe -f sgstub.tcl &
    }
  }
}

# --- runs at startup to determine SG location

if {[file exists "scengen.dir"]} {
  set f [open "scengen.dir" r]
  set ScengenDir [gets $f]
  close $f
} else {
  set ScengenDir "../scengen"
}

