# values.tcl - handles sets of parameter values for MAGICC

proc SetInitialValues { arrname } {
  upvar $arrname a

  set a(iscengen)    1
  set a(iusergas)    1
  set a(dt2xuser)    2.6
  set a(rlo)         1.3
  set a(hm)         90.0
  set a(yk)          1.0
  set a(w0)          4.0
  set a(pi)          0.2
  set a(ivarw)       1
  set a(tw0nh)       7.0
  set a(tw0sh)       7.0
  set a(nvalues)   100
  set a(zi0in)      30.0
  set a(tauin)     100.0
  set a(dtstarin)    0.7
  set a(dtendin)     3.0
  set a(betagin)     0.03
  set a(beta1in)    -0.03
  set a(beta2in)     0.01
  set a(db3in)       0.01
  set a(kyrref)   1990
  set a(iy0)      1990
  set a(lastyear) 2100
  set a(itemprt)     5
  set a(itaumeth)    2
  set a(tau90ch4)    9.08
  set a(tauinit)     9.08
  set a(deltau)      0.0
  set a(imeth)       1
  set a(io3feed)     1
  set a(s90dir)     -0.30
  set a(s90ind)     -0.80
  set a(s90bio)     -0.2
  set a(iqread)      0
  set a(qoffset)  1371.55
  set a(qfactor)     0.175
  set a(duser)       1.1
  set a(fuser)       2.0
  set a(taun2o)    120.0

  set a(aerosol)     2
  set a(cccf)        1
  set a(ccm)         2
  set a(model)       0
  set a(modelname)  "User"
  set a(thc)         2
  set a(kzuser)      2.3
  set a(ice)         2
}
