# This file is gcms.tcl; it contains information about the models used
# by SCENGEN and can be customized by the user.  The variables are all
# named gcmVariablename so the file can be sourced at the global scope
# level and accessed with a simple "global Variablename" command.


# gcmList: This is a list of all the models that will be available
# from SCENGEN.  Each model has a four-character name; extra letters
# can be filled in with underscores.  The four-letter name is followed
# a two-letter (non-y2k compliant) year.

set gcmList { BMRC98 CCC199 CCSR96 CERF98 CSI296 CSM_98 ECH395 \
	ECH498 GFDL90 GISS95 HAD295 HAD300 IAP_97 LMD_98 MRI_96 \
	PCM_00 WM__95 }


# gcmPresets: These are sets of models that can be selected with a
# single button in the GCM selection window.  The array index is the
# name of the preset, listed on the button; this should be a single
# word.  If you know Tcl, you can build presets algorithmically, since
# this file gets sourced at the global level.

# Be sure to define a "Default" preset!

set gcmPreset(Default) {CSM_98 ECH395 ECH498 GFDL90 HAD295 HAD300}

set gcmPreset(All) $gcmList

set gcmPreset(None) {}

